org.gitana.platform.support

## Class Sorting

- java.lang.Object
- - org.gitana.platform.support.Sorting

    public class Sorting
    extends Object

Author:
  uzi

### Field Summary

Fields
`protected Map<String,Integer>` `sortMap`

### Constructor Summary

Constructors
Constructor and Description
`Sorting()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addSort(String key, int sortDirection)`
`void` `addSortAscending(String key)`
`void` `addSortDescending(String key)`
`static Sorting` `fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Map<String,Integer>` `getSorts()`
`int` `size()`
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sortMap

    protected Map<String,Integer> sortMap

### Constructor Detail

#### Sorting

    public Sorting()

### Method Detail

#### addSortAscending

    public void addSortAscending(String key)

#### addSortDescending

    public void addSortDescending(String key)

#### addSort

    public void addSort(String key,
                        int sortDirection)

#### getSorts

    public Map<String,Integer> getSorts()

#### size

    public int size()

#### toJSON

    public com.fasterxml.jackson.databind.node.ObjectNode toJSON()

#### fromJSON

    public static Sorting fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)